# 81. Requête : obtenir le GeoJSON de « EquationMap »

Obtenir le GeoJSON de "EquationMaps" filtré par `equationMapUuids`.

L'attribut `equationMapGeojson` contient le GeoJSON avec le `Polygones` ou `MultyPolygons` incluant les attributs géospatiaux comme `id`, `value` et `surface` dans les unités définies.

Détails clés :

* Paramètre `asMultiGeometry: true` signifie que le `Polygones` (cellules de la "Equation Map") seront fusionnées en `MultiPolygones` en fonction de l' `value` attribut de chaque cellule de la "Equation Map".
* La surface de sortie peut être configurée à l'aide du `paramètre unit` Options disponibles : `ACRES`,  `HECTARES`, `SQUARE_METERS`

{% code overflow="wrap" lineNumbers="true" %}

```graphql
requête GetEquationMapGeometries {
  getFields (filter: {fieldUuid: "<placeholder_of_farm_uuid>"}) {
    fields {
      equationMaps(equationMapUuids: ["<placeholder_of_equationmap_uuid>"]) {
        equationMapGeojson(unit: HECTARES, asMultiGeometry: true)        
      }
    }
  }
}
```

{% endcode %}

Si les géométries ne sont pas demandées (seuls les attributs sont requis), alors il y a `attributesJson` au lieu de `equationMapGeojson` à utiliser.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
requête GetEquationMapAttributes {
  getFields (filter: {fieldUuid: "<placeholder_of_farm_uuid>"}) {
    fields {
      equationMaps(equationMapUuids: ["<placeholder_of_equationmap_uuid>"]) {
        attributesJson(unit: HECTARES, asMultiGeometry: true)        
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/fr/docs-api/vue-densemble-des-requetes-de-lapi-geopard/81.-requete-obtenir-le-geojson-de-equationmap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
